Name:          libots
Version:       0.5.0
Release:       2mamba
Summary:       The Open Text Summarizer is an open source tool for summarizing texts
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libots.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/libots/ots-%{version}.tar.gz
License:       GPL
BuildRequires: gtk-doc
BuildRequires: pkgconfig
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpopt-devel
BuildRequires: libselinux-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Open Text Summarizer is an open source tool for summarizing texts. 
The program reads a text and decides which sentences are important and which are not.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
The Open Text Summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and which are not.

This package contains static libraries and header files need for development.

%prep
%setup -q -n ots-%{version}

%build
%configure --with-html-dir=%{_datadir}/gtk-doc/html/ots

# XXX: Disgusting ... to fix upstream's broken package.
touch ./gtk-doc.make
%{__make} LIBTOOL=%{_bindir}/libtool



%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_datadir}/ots/
%{_datadir}/ots/*
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libots-1/ots
%{_includedir}/libots-1/ots/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 0.5.0-2mamba
- automatic rebuild by autodist

* Thu Oct 30 2008 gil <puntogil@libero.it> 0.5.0-1mamba
- update to 0.5.0

* Tue Aug 09 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.4.2-1qilnx
- package created by autospec
